[(#HTTP_HEADER{Content-type: application/json [; charset=(#CHARSET)]})]#CACHE{0}
[(#REM)
/*******************************************************************************\
 * BIODIV, plugin et squelette pour SPIP - https://www.spip.net/               *
 *         dédié à la gestion d'observations naturalistes                      *
 *                                                                             *
 *         Copyright (C) 2008-2020 Renaud LAURETTE                             *
 *                                                                             *
 * BIODIV a été développé initialement pour le projet Biodiv.Balma de l'APCVEB *
 * (Association de Protection du Cadre de Vie et de l'Environnement balmanais) * 
 *     voir Biodiv.Balma : https://balma.biodiv.fr/                            *
 *     voir APCVEB : http://apcveb.free.fr/                                    *
 *                                                                             *
 *  Ce programme est un logiciel libre distribué sous licence GNU/GPL.         *
 *  Pour plus de détails voir les fichier COPYING.txt et LICENCE-BIODIV.md     *
\*******************************************************************************/
]<?php

  $txt=file_get_contents("php://input");
  $data = json_decode($txt, true);
 
  include_spip("inc/jws_charger_donnees_v2");
  $controle = $creation = $attache = array();
  $robsid = 0;
  $reponse = array();
  
  if(jws_controler_donnees_observation($data,$controle)) {
  	  $titre = $reponse['titre'] = $data['titre'];
  	  $reponse['obsref'] = $data['obsref'];
  	  $idobs = jws_creer_observation($data,$creation);
  	  if($idobs) {
  	  	// Traitement des photos
  	  	$images = $data['images']; 
  	  	$nbImg=0; $msg = "Photos";
  	  	foreach($images as $image) {
  	    	if(isset($image['data']) and strlen($image['data'])) {
  	    		$docid = jws_attacher_fichier($idobs,$image['data'],$nbImg,"jpg",$attache);
  	    		$msg .= " img$nbImg=$docid";
  	    	} else { $msg .= " img$nbImg="._T('biodiv:jws_aucun'); }
  	    	$nbImg++;
  	    }
  	    $reponse['nbImages'] = $nbImg;
  	    $reponse['obsid'] = $idobs;
  	    $reponse['quantite'] = $data['quantite'];
  	    $reponse['status'] = "ok";
  	    $reponse['url'] = generer_url_public("observation","id_observation=$idobs",true,false);
  	    $reponse['msg'] = $msg;
  	  } else { 
  	  	$reponse['status'] = "erreur";
  	  	$reponse['msg'] = _T("biodiv:echec_creation_observation"); 
  	  }   
  } else { 
  	$reponse['status'] = "erreur";
  	$reponse['msg'] = _T("biodiv:jws_pb_controle_donnees"); 
  }
  
//  $reponse["controle"] = $controle;
  $reponse["session"] = isset($GLOBALS['visiteur_session'])?$GLOBALS['visiteur_session']:array();
//	$reponse["creation"] = $creation;
//	$reponse["attache"] = $attache;

  echo json_encode($reponse);
?>
